Bug 1272239 - Errors in GUI thrown by JVM parameters in cassandra-jvm.properties.new having " char in them
Errors in GUI thrown by JVM parameters in cassandra-jvm.properties.new having...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Storage Node (Show other bugs)
JON 3.3.4
Unspecified Unspecified
unspecified Severity medium
: CR01
: JON 3.3.4
Assigned To: Michael Burman
Mike Foley
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 16:35 EDT by Vojta Prusa
Modified: 2015-10-29 11:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
RHEL 7.1 Server and agent registered
Last Closed: 2015-10-29 11:55:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vojta Prusa 2015-10-15 16:35:33 EDT
Description of problem:
After applying JON 3.3.4 ER2 patch ( download.devel.redhat.com/brewroot/packages/org.jboss.on-jboss-on-parent/3.3.0.GA/66/maven/org/jboss/on/jon-server-patch/3.3.0.GA/jon-server-patch-3.3.0.GA.zip )
In file ./jon-server-3.3.0.GA/rhq-storage/conf/cassandra-jvm.properties.new
parameters:

heap_min="-Xms256M"
heap_max="-Xms256M"
heap_new="-Xmn64M"

throws error in GUI:

The following configuration properties have invalid values: [Max Heap Size, Heap New Size, Thread Stack Size]. The values must be corrected before the configuration can be saved.

And Min Heap Size, Max Heap Size, Heap New Size have Quote chars in its input fields: 	
"-Xms256M"
I suppose " char is the problem.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Update JON server
2. Update new cassandra node properties: cp ./jon-server-3.3.0.GA/rhq-storage/conf/cassandra-jvm.properties.new ./jon-server-3.3.0.GA/rhq-storage/conf/cassandra-jvm.properties
3. Changed parameters to:
thread_stack_size="-Xss256k"
JMX_OPTS="-Djava.rmi.server.hostname=localhost -Dcom.sun.management.jmxremote.port=${jmx_port} -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.authenticate=false"
4. Start JON server: ./jon-server-3.3.0.GA/bin/rhqctl start
5. In GUI go to Inventory -> Servers - Top level imports -> RHQ Storage Node* -> Configuration


Actual results:


Expected results:


Additional info:
Found when verifying https://bugzilla.redhat.com/show_bug.cgi?id=1259555 and so far using cassandra-jvm.properties.new throws errors on JON server start (./rhqctl start) may be my mistake in configuration but probably more bugs will follow and be linked to this one.
Also: Why step 3)? Reason: This have something to do with https://bugzilla.redhat.com/show_bug.cgi?id=1259555 and im still testing it.
Comment 1 Simeon Pinder 2015-10-24 07:00:06 EDT
This is fixed with the following commit to jon.git:
45b07bd25d9e8b

All of the newest quoted strings, that were added in error, have been removed.  More specifically, the new JVM_OPTS line should replace the old one when customers/users are merging this .new file with their own version.
Comment 2 Simeon Pinder 2015-10-24 07:09:15 EDT
Moving to ON_QA as available for test in latest brew build:
https://brewweb.devel.redhat.com/buildinfo?buildID=462976

*Note* jon-server-patch-3.3.0.GA.zip from above maps to CR01 build of JON 3.3.4.
Comment 3 Filip Brychta 2015-10-26 08:10:57 EDT
Verified on
Version :	
3.3.0.GA Update 04
Build Number :	
e9ed05b:aa79ebd

Note You need to log in before you can comment on or make changes to this bug.